Bug 506271 - Fedora11: Kernel Oops while booting on P510
Fedora11: Kernel Oops while booting on P510
Status: CLOSED DUPLICATE of bug 504040
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
ppc64 All
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513460
  Show dependency treegraph
 
Reported: 2009-06-16 10:01 EDT by IBM Bug Proxy
Modified: 2009-11-04 18:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-04 18:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
install logs on JS22 blade lpar (11.94 KB, application/x-bzip)
2009-06-17 02:50 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 53973 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-06-16 10:01:16 EDT
=Comment: #0=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
Booting F11 on P510after the installation produced a kernel Oops as shown below

==========================
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM     STARTING SOFTWARE       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM        PLEASE WAIT...       IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM                             IBM IBM IBM IBM IBM IBM
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM IBM 
-
Elapsed time since release of system processors: 414569 mins 13 secs

Config file read, 1024 bytes

Welcome to Fedora!
Hit <TAB> for boot options
Welcome to yaboot version 1.3.14 (Red Hat 1.3.14-12.fc11)
Enter "help" to get some basic usage information
boot: 
  linux                    
boot: linux
Please wait, loading kernel...
   Elf64 kernel loaded...
Loading ramdisk...
ramdisk loaded at 01d00000, size: 3758 Kbytes
OF stdout device is: /vdevice/vty@30000000
Hypertas detected, assuming LPAR !
command line: root=/dev/mapper/vg_llm66-lv_root ro console=hvc0 rhgb quiet 
memory layout at init:
  alloc_bottom : 00000000020ac000
  alloc_top    : 0000000008000000
  alloc_top_hi : 0000000020000000
  rmo_top      : 0000000008000000
  ram_top      : 0000000020000000
Looking for displays
instantiating rtas at 0x0000000007719000 ... done
boot cpu hw idx 0000000000000000
copying OF device tree ...
Building dt strings...
Building dt structure...
Device tree strings 0x00000000021ad000 -> 0x00000000021ae343
Device tree struct  0x00000000021af000 -> 0x00000000021b7000
Calling quiesce ...
returning from prom_init
Phyp-dump not supported on this hardware
Oops: Exception in kernel mode, sig: 4 [#1]
SMP NR_CPUS=128 NUMA pSeries
Modules linked in: ibmvscsic(+) scsi_transport_srp scsi_tgt
NIP: c000000000400000 LR: c0000000003ffffc CTR: c0000000003fffa4
REGS: c00000001c5ab830 TRAP: 0700   Not tainted  (2.6.29.4-167.fc11.ppc64)
MSR: 8000000000089032 <EE,ME,IR,DR>  CR: 24222482  XER: 20000003
TASK = c00000001c5e1a80[58] 'modprobe' THREAD: c00000001c5a8000 CPU: 0
GPR00: c0000000003ffffc c00000001c5abab0 c000000000e6c290 0000000000000000 
GPR04: 0000000000000058 c000000000e499a8 c00000001c5e8400 0000000000000044 
GPR08: 2e8ba2e8ba2e8ba3 c00000001c5a8000 d00000000004b658 0000000000000000 
GPR12: d000000000049e90 c000000000ea2400 0000000000000001 0000000010029698 
GPR16: 0000000000000000 0000000000000000 0000000000000003 000000001002a434 
GPR20: 0000000000000000 0000000010005e30 0000000000000000 000000000000d0f0 
GPR24: 000000001002a128 c000000000d96418 d00000000004b2f0 0000000000000000 
GPR28: c000000000db0390 c00000001c5e8000 c000000000e0d6e0 c00000001c5abab0 
NIP [c000000000400000] .attribute_container_register+0x5c/0xa0
LR [c0000000003ffffc] .attribute_container_register+0x58/0xa0
Call Trace:
[c00000001c5abab0] [c0000000003ffffc] .attribute_container_register+0x58/0xa0 (unreliable)
[c00000001c5abb40] [d00000000004957c] .srp_attach_transport+0xa0/0x174 [scsi_transport_srp]
[c00000001c5abbf0] [d00000000006211c] .init_module+0x80/0xd64 [ibmvscsic]
[c00000001c5abc80] [c00000000000945c] .do_one_initcall+0x90/0x1b8
[c00000001c5abd70] [c0000000000e0f94] .SyS_init_module+0xec/0x24c
[c00000001c5abe30] [c0000000000085f0] syscall_exit+0x0/0x40
Instruction dump:
60000000 e89e8020 e8be8028 387d0010 fbbd0000 fbbd0008 48224d75 60000000 
eb9e8000 7f83e378 48227829 60000000 <00001010> 00000008 00001013 0000000f 
---[ end trace bba5715cf58994b9 ]---
==============================

This was seen only on P510 machine.

CPU Type: Power5
Kernel version:  2.6.29.4-167.fc11.ppc64
=Comment: #1=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
I could reproduce this on JS22 blades also.

Thanks
Pavan
=Comment: #2=================================================
Edjunior Barbosa Machado <emachado@linux.vnet.ibm.com> - 
Hi Pavan,

is this Oops message blocking the machine? If not, could you please provide the full dmesg output?

Have you seen something similiar on previous F11 beta releases?

Thanks.
=Comment: #3=================================================
PAVAN NAREGUNDI <pavan.naregundi@in.ibm.com> - 
(In reply to comment #2)
> Hi Pavan,
> 
> is this Oops message blocking the machine? If not, could you please provide the
> full dmesg output?
> 
This Oops is blocking the system.

> Have you seen something similiar on previous F11 beta releases?
I did not see this in any previous builds of F11.

> 
> Thanks.
>
Comment 1 IBM Bug Proxy 2009-06-17 02:50:38 EDT
Created attachment 348214 [details]
install logs on JS22 blade lpar


------- Comment (attachment only) From pavan.naregundi@in.ibm.com 2009-06-17 02:45 EDT-------
Comment 2 Chuck Ebbert 2009-06-17 11:05:42 EDT
(In reply to comment #1)
> Created an attachment (id=348214) [details]
> install logs on JS22 blade lpar
> 

Never submit logs as .tar.bz2 files unless they are extremely large. Now someone will have to download the file, unpack it and re-upload the individual files.
Comment 3 Chuck Ebbert 2009-06-17 11:12:06 EDT
(In reply to comment #1)
> Created an attachment (id=348214) [details]
> install logs on JS22 blade lpar
> 

There are no error messages in any of those logs.
Comment 4 Chuck Ebbert 2009-06-17 11:13:11 EDT
The original report is probably the same cause as bug 504040 : the yaboot loader corrupts kernel memory.
Comment 5 IBM Bug Proxy 2009-09-25 15:41:20 EDT
------- Comment From emachado@linux.vnet.ibm.com 2009-09-25 15:31 EDT-------
Thanks Pavan for checking this. Closing this bug as unreproducible for now, since the problem is no longer seen in Fedora 12 Alpha.
Please reopen if this happen again in future releases.
Comment 6 Chuck Ebbert 2009-11-04 18:35:02 EST

*** This bug has been marked as a duplicate of bug 504040 ***

Note You need to log in before you can comment on or make changes to this bug.